package com.eco.plugin.xx.jlyhsjtb.openapi.rgt;

import com.eco.plugin.xx.jlyhsjtb.openapi.loader.GetOrgLoader;
import com.eco.plugin.xx.jlyhsjtb.openapi.loader.GetUserLoader;
import com.eco.plugin.xx.jlyhsjtb.openapi.loader.SyncIAMOrgLoader;
import com.eco.plugin.xx.jlyhsjtb.openapi.loader.SyncIAMUserLoader;
import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;
import com.tptj.plugin.hg.client.open.fun.APILoader;
import com.tptj.plugin.hg.client.open.impl.AbstractAPICallerProvider;

@FunctionRecorder
public class ARGT extends AbstractAPICallerProvider {

    @ExecuteFunctionRecord
    @Override
    public APILoader[] registerCallers() {
        return new APILoader[]{
                new SyncIAMUserLoader(),new SyncIAMOrgLoader(),new GetUserLoader(),new GetOrgLoader()
        };
    }


    @Override
    public String groupName() {
        return "数据同步接口";
    }

    @Override
    public String groupDescription() {
        return "数据同步接口，包括用户、组织增量接口和用户、组织补偿机制接口";
    }
}
